ProjetoCruzeirao/src/main/java/managedbeans/EquipeMB.java
package managedbeans;

import java.util.*;


import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import org.primefaces.event.RowEditEvent;

import entidades.Categoria;
import entidades.Equipe;
import entidades.Usuario;
import services.EquipeService;

@SessionScoped
@ManagedBean
public class EquipeMB {
	private Equipe equipe = new Equipe();
	private EquipeService equipeservice = new EquipeService();
	private Usuario auxDiretor;
	private Usuario auxJogador;
	private Usuario auxComissao;
	
	public void onRowEdit(RowEditEvent event) {

		Equipe u = ((Equipe) event.getObject());
		equipeservice.alterar(u);
	}

	public void removerDiretor(Usuario diretor) {
		equipe.getDiretores().remove(diretor);
		diretor.getEquipes().remove(equipe);
	}
	
	public void removerJogador(Usuario jogador) {
		equipe.getJogadores().remove(jogador);
		jogador.getEquipes().remove(equipe);
	}
	
	public void removerMembroComissao(Usuario membroComissao) {
		equipe.getComissaoTecnica().remove(membroComissao);
		membroComissao.getEquipes().remove(equipe);
	}
		
	public void adicionarDiretor() {
		equipe.getDiretores().add(auxDiretor);
		auxDiretor.getEquipes().add(equipe);
	}
	
	public void adicionarJogador() {
		equipe.getJogadores().add(auxJogador);
		auxJogador.getEquipes().add(equipe);
	}	

	public void adicionarMembroComissao() {
		equipe.getComissaoTecnica().add(auxComissao);
		auxComissao.getEquipes().add(equipe);
	}

	public void salvar() {
		equipe.setIdEquipe(0);
		equipeservice.salvar(equipe);
		equipe = new Equipe();
	}
	
	public void remover(Equipe equipe) {
		equipeservice.remover(equipe);
	}

	public Equipe getEquipe() {
		return equipe;
	}

	public void setEquipe(Equipe equipe) {
		this.equipe = equipe;
	}
	
	public List<Equipe> getEquipes() {
		return equipeservice.getEquipes();
	}
	
	public Usuario getAuxJogador() {
		return auxJogador;
	}

	public void setAuxJogador(Usuario auxJogador) {
		this.auxJogador = auxJogador;
	}

	public Usuario getAuxComissao() {
		return auxComissao;
	}

	public void setAuxComissao(Usuario auxComissao) {
		this.auxComissao = auxComissao;
	}

	public Usuario getAuxDiretor() {
		return auxDiretor;
	}

	public void setAuxDiretor(Usuario auxDiretor) {
		this.auxDiretor = auxDiretor;
	}
}

ProjetoCruzeirao/src/main/java/managedbeans/GrupoMB.java
package managedbeans;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import org.primefaces.event.RowEditEvent;

import entidades.Grupo;
import entidades.Rodada;
import services.GrupoService;

@SessionScoped
@ManagedBean
public class GrupoMB {
	private Grupo grupo = new Grupo();
	private GrupoService gruposervice = new GrupoService();
	private Rodada auxRodada;
	
	public void onRowEdit(RowEditEvent event) {

		Grupo u = ((Grupo) event.getObject());
		gruposervice.alterar(u);
	}
	
	public void salvar() {
		grupo.setIdGrupo(0);
		gruposervice.salvar(grupo);
		grupo.getFase().getGrupos().add(grupo);
		grupo = new Grupo();
	}
	
	public void adicionarRodada() {
		grupo.getRodadas().add(auxRodada);
	}

	public void remover(Grupo grupo) {
		gruposervice.remover(grupo);
	}
	
	public void removerRodada(Rodada rodada) {
		grupo.getRodadas().remove(rodada);
	}

	public Rodada getAuxRodada() {
		return auxRodada;
	}

	public void setAuxRodada(Rodada auxRodada) {
		this.auxRodada = auxRodada;
	}
	
	public Grupo getGrupo() {
		return grupo;
	}

	public void setGrupo(Grupo grupo) {
		this.grupo = grupo;
	}
	
	public List<Grupo> getGrupos() {
		return gruposervice.getGrupos();
	}
}

ProjetoCruzeirao/src/main/java/managedbeans/JuizMB.java
package managedbeans;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import org.primefaces.event.RowEditEvent;

import entidades.Juiz;
import services.JuizService;

@SessionScoped
@ManagedBean
public class JuizMB {
	private Juiz juiz = new Juiz();
	private JuizService juizservice = new JuizService();
	
	public void onRowEdit(RowEditEvent event) {

		Juiz u = ((Juiz) event.getObject());
		juizservice.alterar(u);
	}
	
	public void salvar() {
		juiz.setIdJuiz(0);
		juizservice.salvar(juiz);
		juiz = new Juiz();
	}
	
	public void remover(Juiz juiz) {
		juizservice.remove(juiz);
	}

	public Juiz getJuiz() {
		return juiz;
	}

	public void setJuiz(Juiz juiz) {
		this.juiz = juiz;
	}
	
	public List<Juiz> getJuizes() {
		return juizservice.getJuizes();
	}
}

ProjetoCruzeirao/src/main/java/managedbeans/LocalMB.java
package managedbeans;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import org.primefaces.event.RowEditEvent;

import entidades.Local;
import services.LocalService;

@SessionScoped
@ManagedBean
public class LocalMB {
	private Local local = new Local();
	private LocalService localservice = new LocalService();
	
	public void onRowEdit(RowEditEvent event) {

		Local l = ((Local) event.getObject());
		localservice.alterar(l);
		System.out.println("Local alterado com sucesso!");
	}
	
	
	public void salvar() {
		local.setIdLocal(0);
		localservice.salvar(local);
		local = new Local();
	}
	
	public void remover(Local local) {
		localservice.remover(local);
	}

	public Local getLocal() {
		return local;
	}

	public void setLocal(Local local) {
		this.local = local;
	}
	
	public List<Local> getLocais() {
		return localservice.getLocais();
	}

	public LocalService getLocalservice() {
		return localservice;
	}

	public void setLocalservice(LocalService localservice) {
		this.localservice = localservice;
	}
	
	
}

ProjetoCruzeirao/src/main/webapp/pages/cadastraCampeonato.xhtml
<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
<ui:define name="principal">

<h:form id="formCampeonato">
<p:growl id="mensagem"/>



	<p:panelGrid style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 6px 6px" columns="6">
	
	<f:facet name="header">
            Cadastra Campeonato 
    </f:facet>
	 	 	
		 
	 <p:outputLabel for="nome" value="Nome: "/>
	 <p:inputText id="nome" value = "#{campeonatoMB.campeonato.nome}" required="true"/>
	 
	 <p:outputLabel for="valor" value="Valor taxa: "/>
	 <p:inputNumber id="valor" value = "#{campeonatoMB.campeonato.valorTaxa}" symbol="R$ " required="true">
	  <f:validateDoubleRange minimum="0.01"/>
	 	 <p:message for="valor" style = "margin: 4px 0px; padding: 0px 0px"/>
	 </p:inputNumber>	 
	 
	 <p:outputLabel value="Data inicial das inscrições: "/>
	 <p:calendar id="mask" value="#{campeonatoMB.campeonato.dataInicioInscricao}" required = "true" pattern="dd/MM/yyyy" mask="true" />
	
	 <p:outputLabel value="Data final das inscrições: "/>
	 <p:calendar id="mask1" value="#{campeonatoMB.campeonato.dataFimInscricao}" required = "true" pattern="dd/MM/yyyy" mask="true" />
	 
	 <p:outputLabel value="Data inicial do campeonato: "/>
	 <p:calendar id="mask2" value="#{campeonatoMB.campeonato.dataInicioCampeonato}" required = "true" pattern="dd/MM/yyyy" mask="true" />
	 
	 <p:outputLabel value="Data final do campeonato: "/>
	 <p:calendar id="mask3" value="#{campeonatoMB.campeonato.dataFimCampeonato}" required = "true" pattern="dd/MM/yyyy" mask="true" />
	 	 
	 </p:panelGrid>
	
	
	
	 <!-- Locais -->
 	<p:panel columns="5" style="margin-bottom:0px; font-size: 16px; padding: 0px 0px; margin: 6px 6px">
 	
	<p:panelGrid columns="3" style="margin-bottom:5px; font-size: 16px; padding: 8px 12px; margin: 8px 6px"> 
	 
	 <p:outputLabel  value="Local"/>
 	 <h:selectOneMenu id="local" converter ="ConverterLocal"  value="#{campeonatoMB.auxLocal}"  style="width:205px">
     		<f:selectItem itemLabel= "Selecione o local" itemValue="" noSelectionOption="true"/>
     		<f:selectItems value="#{localMB.locais}" />
     </h:selectOneMenu>
	
	<p:commandButton icon ="ui-icon-check"
					 action="#{campeonatoMB.adicionarLocal}"
	                 update=":formCampeonato"  
	/>
	</p:panelGrid>
	
 	<p:dataTable
			var = "loc"
			value = "#{campeonatoMB.campeonato.locais}"
			style = "margin: 8px 2px; padding: 0px 4px; font-size: 16px"
		
	>
	
	<f:facet name="header">
            Local (is) do campeonato
    </f:facet>
			
	    
	     <p:column headerText="Nome" style="text-align: center" sortBy="#{loc.nome}">
                  <p:outputLabel value="#{loc.nome}"/>  
	    </p:column>
	    
			
		
		<p:column headerText="Endereço" style="text-align: center" sortBy="#{loc.endereco}">
                  <p:outputLabel value="#{loc.endereco}"/>
	    </p:column>
	    
	    
	    <p:column style = "text-align: center">
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{campeonatoMB.removerLocal(loc)}" update=":formCampeonato"></p:commandLink>	     	
		</p:column>
 
			
			
	</p:dataTable>
	</p:panel>
	
	
	
	<!-- Juizes -->
	
	
	<p:panel columns="5" style="margin-bottom:0px; font-size: 16px; padding: 0px 0px; margin: 6px 6px">
	
	<p:panelGrid columns="3" style="margin-bottom:5px; font-size: 16px; padding: 8px 12px; margin: 8px 6px"> 
	 
	<p:outputLabel  value="Juiz"/>
 	 <h:selectOneMenu id="juiz" converter ="ConverterJuiz"  value="#{campeonatoMB.auxJuiz}"  style="width:205px">
     		<f:selectItem itemLabel= "Selecione o juiz" itemValue="" noSelectionOption="true"/>
     		<f:selectItems value="#{juizMB.juizes}" />
     </h:selectOneMenu>
	
	
	<p:commandButton icon ="ui-icon-check"
					 action="#{campeonatoMB.adicionarJuiz}"
	                 update=":formCampeonato"  
	/>
	
	</p:panelGrid>
	
	
	 	<p:dataTable
			var = "juiz"
			value = "#{campeonatoMB.campeonato.juizes}"
			style = "margin: 8px 2px; padding: 0px 4px; font-size: 16px"
		
	>
	
	<f:facet name="header">
            Juiz (es) do campeonato
    </f:facet>
			
	    
	     <p:column headerText="Nome" style="text-align: center" sortBy="#{juiz.usuario.nome}">
                  <p:outputLabel value="#{juiz.usuario.nome}"/>  
	    </p:column>
	    
			
		
		<p:column headerText="Tipo" style="text-align: center">
                  <p:outputLabel value="#{juiz.tipo.juiz}"/>
	    </p:column>
	    
	    
	    <p:column style = "text-align: center">
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{campeonatoMB.removerJuiz(juiz)}" update=":formCampeonato"></p:commandLink>	     	
		</p:column>
 
			
	</p:dataTable>
	</p:panel>

	
	<p:commandButton value="Cadastrar"
					 style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px"
					 action="#{campeonatoMB.salvar}"
	                 update=":formCampeonato"  
	            
	/>


	
	



</h:form>

	</ui:define>
</ui:composition>

ProjetoCruzeirao/src/main/webapp/pages/cadastraJuiz.xhtml
<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	
<ui:define name="principal">

<h:form id="formJuiz">
<p:growl id="mensagem"/>



	<p:panel columns="5" style="margin-bottom:0px; font-size: 16px; padding: 1px 1px; margin: 6px 6px">
	
	<f:facet name="header">
            Juiz
    </f:facet>
	 	 
	<p:panelGrid style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px" columns="4">
		 
	 <p:outputLabel value="Tipo: "/>
	 <h:selectOneMenu value="#{juizMB.juiz.tipo}" style="width:205px" required="true">
	 		<f:selectItem itemLabel= "Selecione o tipo de juiz"  noSelectionOption="true"/>
            <f:selectItem itemLabel="Árbitro" itemValue="ARBITRO" />
            <f:selectItem itemLabel="Quarto árbitro" itemValue="QUARTO_ARBITRO" />
            <f:selectItem itemLabel="Auxiliar" itemValue="AUXILIAR" />            
     </h:selectOneMenu>
	  
	 <p:outputLabel for="usuario" value="Usuário: "/>
	 <h:selectOneMenu id="usuario" converter ="ConverterUsuario" required="true" value="#{juizMB.juiz.usuario}"  style="width:205px">
     		<f:selectItem itemLabel= "Selecione o usuário" noSelectionOption="true"/>
     		<f:selectItems value="#{usuarioMB.juizes}" />
     </h:selectOneMenu>
     

	 
	 
	</p:panelGrid>
	<p:commandButton value="Cadastrar"
					 style="margin-bottom:5px; font-size: 16px; padding: 0px 0px; margin: 4px 6px"
					 action="#{juizMB.salvar}"
	                 update=":formJuiz"  
	            
	/>
	
	
	</p:panel>


</h:form>


	</ui:define>
</ui:composition>

ProjetoCruzeirao/src/main/webapp/pages/dadosGrupos.xhtml
<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

<ui:define name="principal">

<h:form id="formGrupo">
<p:growl id="mensagem"/>
	
	<p:dataTable
			var = "gru"
			value = "#{grupoMB.grupos}"
			editable = "true"
			id="tabelaGrupol"
			paginator="true"
            rows="5"
            paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
            rowsPerPageTemplate="5,10,15"
			
			
			                        
	>
	
	<f:facet name="header">
            Grupos
    </f:facet>
    
    <p:ajax event="rowEdit" listener="#{grupoMB.onRowEdit}" update="tabelaGrupo" />
	
	
		<p:column headerText="idGrupo" style="text-align: center" sortBy="#{gru.idGrupo}">
			<p:outputLabel value="#{gru.idGrupo}"/>
	    </p:column>
		
	    <p:column headerText="Nome" style="text-align: center" sortBy="#{gru.nome}">
	    	<p:cellEditor>
				<f:facet name="output"><p:outputLabel value="#{gru.nome}"/></f:facet>
        		<f:facet name="input"><p:inputText    value="#{gru.nome}" style="width:96%"/></f:facet>  
        	</p:cellEditor>	         		
	    </p:column>
	    
  
	    <p:column headerText="Fase" style="text-align: center">	    	
				<p:outputLabel value="#{gru.fase.tipo}" />            	         		
	    </p:column>
	   
	    <p:column  headerText="Rodadas" style="text-align: center">
	    <p:commandButton icon ="ui-icon-search" update=":formGrupo" oncomplete="PF('rodadasDialog').show()" closable="true" title="View">
                <f:setPropertyActionListener value="#{gru}" target="#{grupoMB.grupo}" />
        </p:commandButton>              
    	<p:dialog header="Rodada (as) do grupo" widgetVar="rodadasDialog" showEffect="fade" closeOnEscape="true"  hideEffect="fade" resizable="false">
        <p:outputPanel id="rodadas" style=" width:600px" columnClasses="label,value" >
            
            <p:dataTable var="rodada" value="#{grupoMB.grupo.rodadas}">
 					<p:column headerText="idRodada">
	   					<p:outputLabel value="#{rodada.idRodada}"/>
	   	    		</p:column>	
	   	    		
	   	    		<p:column headerText="Grupo">
	   					<p:outputLabel value="#{rodada.grupo}"/>
	   	    		</p:column>
	   	    			
 			</p:dataTable>            
        </p:outputPanel>
        </p:dialog>  
 		</p:column>
	    


		<p:column style = "text-align: center">
			<p:rowEditor />
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{grupoMB.remover(gru)}" update="tabelaGrupo"></p:commandLink> 	     	
		</p:column>
			
	</p:dataTable>		

</h:form>


	</ui:define>
</ui:composition>

ProjetoCruzeirao/src/main/webapp/pages/geracaoPartidas.xhtml
<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	
<ui:define name="principal">

<h:form id="formFase">
<p:growl id="mensagem"/>

	<p:panelGrid style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px" columns="2">
	
	<f:facet name="header">
            Seleção de campeonato
    </f:facet>
	
	<p:outputLabel  value="Campeonato"/>
 	<h:selectOneMenu id="campeonato" converter ="ConverterCategoria"  value="#{faseMB.auxCat}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione o campeonato" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.campeonatos}" />
    </h:selectOneMenu>
     
    <p:commandButton value="Atualizar"
					 style = "margin: 4px 0px; padding: 2px 2px; font-size: 16px"
					 action="#{faseMB.atualizarGrupos}"
	                 update=":formFase"  
	/>

	<p:commandButton value="Limpar"
					 style = "margin: 4px 0px; padding: 2px 2px; font-size: 16px"
					 action="#{faseMB.limpar}"
	                 update=":formFase"  
	/>
	
	</p:panelGrid>
	
	<p:dataTable
			var = "grupos"
			value = "#{faseMB.grupos}"
			style = "margin: 8px 2px; padding: 0px 4px; font-size: 16px"
	>
	
	<f:facet name="header">
            Grupos
    </f:facet>
			 
	     <p:column headerText="Grupo" style="text-align: center" sortBy="#{grupos.nome}">
                  <p:outputLabel value="#{grupos.nome}"/>  
	    </p:column>
		
		<p:column headerText="idGrupo" style="text-align: center" sortBy="#{grupos.idGrupo}">
                  <p:outputLabel value="#{grupos.idGrupo}"/>
	    </p:column>
	    
	    <p:column headerText="Fase" style="text-align: center" sortBy="#{grupos.fase.tipo}">
                  <p:outputLabel value="#{grupos.fase.tipo}"/>
	    </p:column>
	    
	    <!--  <p:column  headerText="Equipes" style="text-align: center">
	    <p:commandButton icon ="ui-icon-search" update=":formFase" oncomplete="PF('equipesDialog').show()" closable="true" title="View">
                <f:setPropertyActionListener value="#{gru}" target="#{grupos.equipes}" />
        </p:commandButton>            
    	<p:dialog header="Equipes do Grupo" widgetVar="jogadoresDialog" closeOnEscape="true" modal="true" showEffect="fade" hideEffect="fade" resizable="false">
        <p:outputPanel id="jogadoresEquipe" style=" width:600px" columnClasses="label,value">
        -->
        
	    <!--  <p:column style = "text-align: center">
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{equipeMB.removerJogador(jog)}" update=":formEquipe"></p:commandLink>	     	
		</p:column>-->
 	
	</p:dataTable>

	<p:panelGrid columns="2" style="margin-bottom:5px; font-size: 16px; padding: 8px 12px; margin: 8px 6px">
	
	<f:facet name="header">
            Rodada
    </f:facet>
    
    <p:outputLabel  value="Grupo"/>
 	<h:selectOneMenu id="grupo" converter ="ConverterGrupo"  value="#{faseMB.rodada.grupo}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione o grupo" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.grupos}" />
    </h:selectOneMenu>
    
	<p:commandButton value="Salvar"
					 style = "margin: 4px 0px; padding: 2px 2px; font-size: 16px"
					 action="#{faseMB.salvarRodada}"
	                 update="formFase"  
	/>
	
	</p:panelGrid>
	
	<p:panel columns="5" style="margin-bottom:0px; font-size: 16px; padding: 0px 0px; margin: 6px 6px">
	
	<p:panelGrid columns="2" style="margin-bottom:5px; font-size: 16px; padding: 8px 12px; margin: 8px 6px">
	
	<f:facet name="header">
            Partida
    </f:facet>
    
    <p:outputLabel  value="Grupo"/>
 	<h:selectOneMenu id="grupo2" converter ="ConverterCategoria"  value="#{faseMB.auxGrupo}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione o grupo" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.grupos}" />
    </h:selectOneMenu>
    
    <p:outputLabel  value="Rodada"/>
 	<h:selectOneMenu id="rodada" converter ="ConverterRodada"  value="#{faseMB.rodada}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione a rodada" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.auxGrupo.rodadas}" />
    </h:selectOneMenu>
	
	<p:outputLabel  value="Equipe mandante"/>
 	<h:selectOneMenu id="equipem" converter ="ConverterEquipe"  value="#{faseMB.partida.equipeMandante}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione a equipe" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.auxGrupo.equipes}" />
    </h:selectOneMenu>
	
	<p:outputLabel  value="Equipe visitante"/>
 	<h:selectOneMenu id="equipev" converter ="ConverterEquipe"   value="#{faseMB.partida.equipeVisitante}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione a equipe" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.auxGrupo.equipes}" />
    </h:selectOneMenu>
    
    <p:outputLabel value="Data: "/>
	<p:calendar id="mask" value="#{faseMB.partida.data}" pattern="dd/MM/yyyy" mask="true" />
	
	<p:outputLabel  value="Local: "/>
 	<h:selectOneMenu id="local" converter ="ConverterLocal"  value="#{faseMB.partida.local}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione o local" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.auxCat.campeonato.locais}" />
    </h:selectOneMenu>
	
    
	<p:commandButton value="Salvar"
					 style = "margin: 4px 0px; padding: 2px 2px; font-size: 16px"
					 action="#{faseMB.salvarPartida}"
	                 update="formFase"  
	/>
	
	</p:panelGrid>

	<p:panelGrid columns="3" style="margin-bottom:5px; font-size: 16px; padding: 8px 12px; margin: 8px 6px"> 
  
	<p:outputLabel  value="Juiz"/>
   	<h:selectOneMenu id="juiz" converter ="ConverterJuiz"  value="#{faseMB.auxJuiz}"  style="width:205px">
      	 	<f:selectItem itemLabel= "Selecione o juiz" itemValue="" noSelectionOption="true"/>
       		<f:selectItems value="#{faseMB.auxCat.campeonato.juizes}" />
    </h:selectOneMenu>
 
 
 	<p:commandButton icon ="ui-icon-check"
    			     action="#{faseMB.addJuiz}"
                     update=":formFase"  
 	/>
 
 	</p:panelGrid>
 
 
   	<p:dataTable
   			var = "juiz"
   			value = "#{faseMB.partida.juizes}"
   			style = "margin: 8px 2px; padding: 0px 4px; font-size: 16px"
  
 	>
 
 	<f:facet name="header">
            Juiz (es) da partida
    </f:facet>
   
     
     <p:column headerText="Nome" style="text-align: center" sortBy="#{juiz.usuario.nome}">
                  <p:outputLabel value="#{juiz.usuario.nome}"/>  
     </p:column>
     
   
  
  	 <p:column headerText="Tipo" style="text-align: center">
                  <p:outputLabel value="#{juiz.tipo.tipo}"/>
     </p:column>
     
     
     <p:column style = "text-align: center">
       <p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{campeonatoMB.removerJuiz(juiz)}" update=":formCampeonato"></p:commandLink>       
  	 </p:column>
 
   
 	 </p:dataTable>

	</p:panel>

</h:form>
</ui:define>
</ui:composition>